module CCommonVariables
    !**use CIntegerEventHandler
    implicit none    
    public    
    
    type :: CommonType
        ! Input vars
        integer :: StandRack
        ! type(IntegerEventHandler) :: OnStandRackChange
        ! Output vars
        logical :: DrillWatchOperationMode
    end type
    type(CommonType):: Common
    contains

end module CCommonVariables